Package org.apache.synapse.transport.passthru.api

## Class PassThroughInboundEndpointHandler

- java.lang.Object
- - org.apache.synapse.transport.passthru.api.PassThroughInboundEndpointHandler

-     public class PassThroughInboundEndpointHandler
      extends Object

  API class for access PassThrough Core Inbound Endpoint management classes

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PassThroughInboundEndpointHandler()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static boolean` | `closeEndpoint​(int port)` | Close ListeningEndpoint running on the given port
    `static SourceConfiguration` | `getPassThroughSourceConfiguration()` |
    `static SourceConfiguration` | `getPassThroughSSLSourceConfiguration()` |
    `static boolean` | `isEndpointRunning​(int port)` | Check Whether inbound endpoint is running for a particular port
    `static boolean` | `startEndpoint​(InetSocketAddress inetSocketAddress, org.apache.http.nio.NHttpServerEventHandler nHttpServerEventHandler, String endpointName)` | Start Endpoint Listen and events related to Endpoint handle by given NHttpServerEventHandler
    `static boolean` | `startSSLEndpoint​(InetSocketAddress inetSocketAddress, org.apache.http.nio.NHttpServerEventHandler nHttpServerEventHandler, String endpointName, SSLConfiguration sslConfiguration)` | Start SSL Endpoint Listen and events related to Endpoint handle by given NHttpServerEventHandler

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PassThroughInboundEndpointHandler

          public PassThroughInboundEndpointHandler()

  - ### Method Detail

    - #### startEndpoint

          public static boolean startEndpoint​(InetSocketAddress inetSocketAddress,
                                              org.apache.http.nio.NHttpServerEventHandler nHttpServerEventHandler,
                                              String endpointName)

      Start Endpoint Listen and events related to Endpoint handle by given NHttpServerEventHandler
      Parameters:
        `inetSocketAddress` - Socket Address of the Endpoint need to be start by underlying IOReactor
        `nHttpServerEventHandler` - Event Handler for handle events for Endpoint
        `endpointName` - Name of the Endpoint
      Returns:
        Is Endpoint started successfully

    - #### closeEndpoint

          public static boolean closeEndpoint​(int port)

      Close ListeningEndpoint running on the given port
      Parameters:
        `port` - Port of ListeningEndpoint to be closed
      Returns:
        IS successfully closed

    - #### getPassThroughSourceConfiguration

          public static SourceConfiguration getPassThroughSourceConfiguration()
                                                                       throws Exception

      Returns:
        Pass Through SourceConfiguration registered by shared IO Reactor of PTT Listener
      Throws:
        `Exception`

    - #### getPassThroughSSLSourceConfiguration

          public static SourceConfiguration getPassThroughSSLSourceConfiguration()
                                                                          throws Exception

      Returns:
        Pass Through SSL SourceConfiguration registered by shared IO Reactor of PTT Listener
      Throws:
        `Exception`

    - #### isEndpointRunning

          public static boolean isEndpointRunning​(int port)

      Check Whether inbound endpoint is running for a particular port
      Parameters:
        `port` - port
      Returns:
        whether inbound endpoint is running

    - #### startSSLEndpoint

          public static boolean startSSLEndpoint​(InetSocketAddress inetSocketAddress,
                                                 org.apache.http.nio.NHttpServerEventHandler nHttpServerEventHandler,
                                                 String endpointName,
                                                 SSLConfiguration sslConfiguration)

      Start SSL Endpoint Listen and events related to Endpoint handle by given NHttpServerEventHandler
      Parameters:
        `inetSocketAddress` - Socket Address of the Endpoint need to be start by underlying IOReactor
        `nHttpServerEventHandler` - Event Handler for handle events for Endpoint
        `endpointName` - Name of the Endpoint
        `sslConfiguration` - SSL Configuration
      Returns:
        Started or Not